

class Properties():
    def __init__(self,filename):
        self.properties_file_name = filename
        self.properties = {}

    def get_properties(self) ->dict:
        with open(self.properties_file_name,'r',encoding="UTF-8") as pro_file:
            for line in pro_file.readlines():
                line = line.strip().replace("\n","")
                if line.find("#") != -1:
                    line = line[0:line.find("#")]
                if line.find("=") > 0:
                    strs = line.split("=")
                    self.__get_dit(strs[0].strip(),self.properties,strs[1].strip())
        return self.properties

    def __get_dit(self, key_name, result_dict, key_value):
        if (key_name.find(".") > 0):
            k = key_name.split(".")[0]
            result_dict.setdefault(k, {})
            return self.__get_dit(key_name[(len(k)+1):], result_dict(k), key_value)
        else:
             result_dict[key_name] = key_value
